API reference

List events

With this API you can list all events of the selected organisation.


Request

Make a GET request to the following endpoint with the API key.

https://api.hipsy.nl/v1/organisation/{organisation}/events

The URL parameter {organisation} is the slug or the ID of the organisation to get the events from. You can find the slug in the Hipsy dashboard in the menu 'Organisatie' and tab 'Profiel', or retrieve it with the List organisations API.

The following parameters are available and can be passed in the URL as query parameters.

ParameterRequiredDescriptionDefault
periodoptionalCan be either past, upcoming or allupcoming
idoptionalID of a single event to return. The period parameter is ignored.
conceptsoptionalAdd this parameter (for example ?concepts=1) to include concept events.
limitoptionalThe number of events per page, up to 10025
pageoptionalPage selection in case there are more results than the given limit1

Upcoming events are sorted by date from soon to later. Past events and all are sorted from the most recent date to the oldest.

Response

An array will be returned with the events.

KeyDescription
idThe ID of the event
titleThe title of the event
descriptionThe description of the event
locationThe location of the event
latitudeThe latitude of the location of the event
longitudeThe longitude of the location of the event
pictureURL of the picture of the event. Empty if the event has no picture.
picture_smallURL of the picture of the event. Currently the same as picture.
dateDate and time when the event starts
date_untilDate and time when the event ends
sold_outtrue if the event is sold out
privatetrue if the event is private and only accessible with a direct link
disable_ticketstrue if ticket sales via Hipsy are disabled for this event
url_hipsyURL to the event page on the Hipsy website
url_ticketshopURL to the ticketshop of the event
qr_ticketshopURL of a QR image which contains the URL to the ticketshop
ticketsArray of the configured tickets of the event. See tickets array
categoriesArray with the names of the categories of the event

Tickets array

KeyDescription
idThe ID of the configured ticket
typeCan be either ticket, donation or combiticket
nameName of the configured ticket
descriptionDescription of the configured ticket
pricePrice of the configured ticket
is_entry_tickettrue if the ticket gives access to the event
statusCan be either sale, sold, invisible, not_available or start_future (the sale has not started yet)
availableThe amount of tickets available to buy. If unlimited, the value will be 99999
sale_startDate when the ticket sale starts. Will be null if not provided
sale_endDate when the ticket sale ends. Will be null if not provided
urlOnly for invisible tickets: the direct URL to buy this ticket

Example

{
    "data": [
        {
            "id": 1032,
            "title": "Ecstatic Dance Universe - Kareem",
            "description": "Description of the event\n\nAll the info of the event",
            "location": "Amersfoort, Nederland",
            "latitude": 52.1561113,
            "longitude": 5.3878266,
            "picture": "https:\/\/cdn.hipsy.nl\/images\/events\/pic1.jpg",
            "picture_small": "https:\/\/cdn.hipsy.nl\/images\/events\/pic1.jpg",
            "date": "2023-03-01T19:00:00.000000Z",
            "date_until": "2023-03-01T22:00:00.000000Z",
            "sold_out": false,
            "private": false,
            "disable_tickets": false,
            "url_hipsy": "https:\/\/hipsy.nl\/event\/1032-ecstatic-dance-universe-kareem",
            "url_ticketshop": "https:\/\/hipsy.nl\/shop\/1032-ecstatic-dance-universe-kareem",
            "qr_ticketshop": "https:\/\/hipsy.nl\/qr\/ticketshop-1032.png",
            "tickets": [
                {
                    "id": 83,
                    "type": "ticket",
                    "name": "Early Bird",
                    "description": "",
                    "price": 17.5,
                    "is_entry_ticket": true,
                    "status": "sale",
                    "available": 7,
                    "sale_start": "2023-01-22T10:00:00.000000Z",
                    "sale_end": null
                },
                ...
            ],
            "categories": [
                "Ecstatic Dance"
            ]
        },
        ...
    ],
    "links": {
        "first": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/events?page=1",
        "last": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/events?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [...],
        "path": "https:\/\/api.hipsy.nl\/v1\/organisation\/ecstatic-dance-universe\/events",
        "per_page": 25,
        "to": 1,
        "total": 1
    }
}
Previous
List organisations